Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1526506 - New Package: ansible-role-redhat-subscription - Ansible role to configure RHSM for TripleO
Summary: New Package: ansible-role-redhat-subscription - Ansible role to configure RHS...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: ansible-role-redhat-subscription
Version: 13.0 (Queens)
Hardware: All
OS: Linux
medium
medium
Target Milestone: Upstream M2
: 13.0 (Queens)
Assignee: Sam Doran
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On: 1524733
Blocks: RDO-QUEENS 1570207 1582321 1620134 1620143
TreeView+ depends on / blocked
 
Reported: 2017-12-15 16:36 UTC by Emilien Macchi
Modified: 2018-11-05 16:07 UTC (History)
11 users (show)

Fixed In Version: ansible-role-redhat-subscription-0.0.1-0.20171218032944.a4d2420.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1524733
: 1570207 1620134 (view as bug list)
Environment:
Last Closed: 2018-06-27 13:40:26 UTC
Target Upstream Version:
sdoran: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:42:00 UTC

Description Emilien Macchi 2017-12-15 16:36:47 UTC
+++ This bug was initially created as a clone of Bug #1524733 +++

TripleO Support for configuring RHSM with an ansible role. It needs to be packaged.

--- Additional comment from Emilien Macchi on 2017-12-11 17:32 EST ---



--- Additional comment from Alan Pevec on 2017-12-11 18:10:19 EST ---

How does this role compare to proposed rhsm_repository module?

https://github.com/ansible/ansible/pull/28292

--- Additional comment from Emilien Macchi on 2017-12-11 18:15 EST ---



--- Additional comment from Emilien Macchi on 2017-12-11 18:18:27 EST ---

It's a good question Alan, I wasn't aware about https://github.com/ansible/ansible/pull/28292 ...
If we go with https://github.com/ansible/ansible/pull/28292 then I'm not sure why we need a role, right?

Sam, can you help us here before we import things?

--- Additional comment from Sam Doran on 2017-12-12 09:15:52 EST ---

I would say the two are unrelated. Regardless of the modules use, we still will need a role to handle the options and logic. If/when a module for managing RHSM repos is merged, it would be fairly easy to modify the role to use that module instead.

--- Additional comment from Emilien Macchi on 2017-12-12 21:13:58 EST ---

I confirm what Sam said, we still need this role, and this role will actually use the new module in core.

The repo was moved to OpenStack: https://github.com/openstack/ansible-role-redhat-subscription

Please let me know any blocker to make the import.

Thanks

--- Additional comment from Javier Peña on 2017-12-13 04:06:20 EST ---

In the long run, I think we should be able to handle this functionality using a mix of http://docs.ansible.com/ansible/latest/redhat_subscription_module.html (which is still a preview) and https://github.com/ansible/ansible/pull/28292, but I agree that for the short term it should be ok.

Running licensecheck on the repo, I see there is an issue. We have a commit [1] that changes the module license to Apache 2.0, however there is a file licensed with GPL v3 [2], and there is no license file in the repo. Could you fix this?


[1]- https://github.com/openstack/ansible-role-redhat-subscription/commit/cb72219341208b1265ef9b6fd29a951c037443b7
[2]- https://github.com/openstack/ansible-role-redhat-subscription/blob/master/library/redhat_repos.py

--- Additional comment from Emilien Macchi on 2017-12-13 08:28:56 EST ---

Javier, we're adding the LICENSE here: https://review.openstack.org/#/c/527561/4/LICENSE

Licence was changed so it matches other OpenStack projects. I don't see any problem.

Let me know what's the next step.

--- Additional comment from Haïkel Guémar on 2017-12-13 09:13:55 EST ---

I asked original author to approve the licensing change. Let's assume here that licensing is fixed (author is from RH) and continue review and link Emilien review in the spec.

--- Additional comment from Javier Peña on 2017-12-13 09:17:53 EST ---

Author just approved the change, this is the current licensecheck (just for the record, but it will be different once the initial change is merged):

$ licensecheck -r .
./.travis.yml: *No copyright* UNKNOWN
./README.md: *No copyright* UNKNOWN
./defaults/main.yml: *No copyright* UNKNOWN
./library/redhat_repos.py: *No copyright* GPL (v3 or later)
./meta/main.yml: *No copyright* UNKNOWN
./tasks/main.yml: *No copyright* UNKNOWN
./templates/rhsm.conf.j2: *No copyright* UNKNOWN
./tests/Vagrantfile: *No copyright* UNKNOWN
./tests/inventory: *No copyright* UNKNOWN
./tests/test.yml: *No copyright* UNKNOWN
./tests/vagrant.yml: *No copyright* UNKNOWN
./vars/main.yml: *No copyright* UNKNOWN

--- Additional comment from Javier Peña on 2017-12-14 11:57:07 EST ---

Using the following SRPM for the review: https://logs.rdoproject.org/87/10987/3/check/DLRN-rpmbuild/Zdb51fb4b80e249f3823e1da67c811c3d/centos/current/ansible-role-redhat-subscription-0.0.1-0.20171214151812.99c534d.el7.centos.src.rpm

--- Additional comment from Javier Peña on 2017-12-14 11:58:16 EST ---

Review notes:

- The Source0 and %define notes are expected, since the SRPM was generated by DLRN.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 22 files have unknown
     license. Detailed output of licensecheck in /tmp/ansible-role-redhat-
     subscription/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/ansible
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/ansible
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[-]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.0.1.dev16
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: ansible-role-redhat-subscription-0.0.1-0.20171214151812.99c534d.el7.centos.noarch.rpm
          ansible-role-redhat-subscription-0.0.1-0.20171214151812.99c534d.el7.centos.src.rpm
ansible-role-redhat-subscription.noarch: W: summary-ended-with-dot C Ansible role for setting up Red Hat Subscription Management.
ansible-role-redhat-subscription.noarch: E: no-changelogname-tag
ansible-role-redhat-subscription.noarch: E: non-executable-script /usr/share/ansible/roles/redhat-subscription/library/redhat_repos.py 644 /usr/bin/python 
ansible-role-redhat-subscription.src: W: summary-ended-with-dot C Ansible role for setting up Red Hat Subscription Management.
ansible-role-redhat-subscription.src: E: no-changelogname-tag
ansible-role-redhat-subscription.src: W: invalid-url Source0: ansible-role-redhat-subscription-0.0.1.dev16-0.20171214151812.99c534d.tar.gz
2 packages and 0 specfiles checked; 3 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
ansible-role-redhat-subscription.noarch: W: summary-ended-with-dot C Ansible role for setting up Red Hat Subscription Management.
ansible-role-redhat-subscription.noarch: E: no-changelogname-tag
ansible-role-redhat-subscription.noarch: W: invalid-url URL: https://git.openstack.org/cgit/openstack/ansible-role-redhat-subscription <urlopen error [Errno -2] Name or service not known>
ansible-role-redhat-subscription.noarch: E: non-executable-script /usr/share/ansible/roles/redhat-subscription/library/redhat_repos.py 0644L /usr/bin/python
1 packages and 0 specfiles checked; 2 errors, 2 warnings.



Requires
--------
ansible-role-redhat-subscription (rpmlib, GLIBC filtered):
    ansible



Provides
--------
ansible-role-redhat-subscription:
    ansible-role-redhat-subscription



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -n ansible-role-redhat-subscription -r -m dlrn
Buildroot used: dlrn-centos7-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

The package is APPROVED.

Comment 9 errata-xmlrpc 2018-06-27 13:40:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.